org.apache.maven.scm.provider.git

## Class GitScmTestUtils

- java.lang.Object
- - org.apache.maven.scm.provider.git.GitScmTestUtils

    public final class GitScmTestUtils
    extends Object

Version:
  $Id: GitScmTestUtils.java 823147 2009-10-08 12:39:23Z struberg $
Author:
  Trygve Laugstøl

### Method Summary

Methods
`static void` `deleteAllDirectories(File startDirectory, String pattern)`
`static String` `getScmUrl(File repositoryRootFile, String provider)`
`static void` `initRepo(File repository, File workingDirectory, File assertionDirectory)`
`static void` `initRepo(String source, File repository, File workingDirectory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### initRepo

    public static void initRepo(File repository,
                File workingDirectory,
                File assertionDirectory)
                         throws IOException

Throws:
  `IOException`

#### initRepo

    public static void initRepo(String source,
                File repository,
                File workingDirectory)
                         throws IOException

Throws:
  `IOException`

#### getScmUrl

    public static String getScmUrl(File repositoryRootFile,
                   String provider)
                            throws org.codehaus.plexus.util.cli.CommandLineException

Throws:
  `org.codehaus.plexus.util.cli.CommandLineException`

#### deleteAllDirectories

    public static void deleteAllDirectories(File startDirectory,
                            String pattern)
                                     throws IOException

Throws:
  `IOException`